<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Data Settings</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="data-settings">Data Settings</h1>
<p>The Cacti Data settings includes settings for gathering statistical data about Cacti's <strong>Data Sources</strong> and about settings around how Cacti stores it's <strong>Round Robin Archives</strong> Time Series Databases (TSDB), otherwise known as RRDfiles.</p>
<p>There are presently to sub-sections for these settings.</p>
<h2 id="data-source-statistics">Data Source Statistics</h2>
<p>Cacti has the ability to store peak and average data for all your <strong>Data Sources</strong>. You can then use that data to easily build dashboards using third party plugins including plugins like Superlinks from Howard Jones.</p>
<p>Below you will find an image of the default settings.</p>
<p><img src="images/settings-data-source-statistics.png" alt="Data Source Statistics" /></p>
<p>Those settings include:</p>
<ul>
<li><p><strong>Enable Data Source Statistics Collection</strong> - This is setting will either enable or disable the statistics collection.</p></li>
<li><p><strong>Daily Update Frequency</strong> - This setting determines how often daily averages and peaks should be calculated. You can set it to run hourly, upto every 6 hours, or after Cacti's boost process completes.</p></li>
<li><p><strong>Hourly Average Window</strong> - This is a floating time window where Cacti holds onto all samples for determining the hourly averages for your <strong>Data Sources</strong>. You have to watch this cache as by default it's stored in a memory table. You can run out of space.</p></li>
<li><p><strong>Maintenance Time</strong> - This is the time in the day that Cacti will calculate Monthly and Yearly numbers and perform table maintenance.</p></li>
<li><p><strong>Memory Limit for Data Source Statistics Data Collector</strong> - This setting controls the peak memory that the statistics poller will be allowed to use. Most systems can work fine using the default 1GByte setting.</p></li>
</ul>
<h2 id="data-storage-settings">Data Storage Settings</h2>
<p>These settings determine how you store your RRDfiles. This sub-section has two layouts as showing in the images below.</p>
<p><img src="images/settings-data-local.png" alt="Data Storage Local" /></p>
<p>The settings above include:</p>
<ul>
<li><p><strong>Location</strong> - Either Local or RRDtool Proxy Server. The example above shows the local storage option.</p></li>
<li><p><strong>Structured RRD Paths</strong> - In very large systems having a flat directory structure has severe performance consequences. However, with the Structured Paths option, Cacti will separate RRDfiles by Device ID and use the Data Source ID as the RRDfile name.</p></li>
</ul>
<blockquote>
<p><strong>NOTE</strong>: If you are migrating from non-structured to structured paths setup, you must run the CLI script to move those files per the updated specification right after making this change.</p>
</blockquote>
<p>The RRD Proxy settings below are more involved.</p>
<blockquote>
<p><strong>NOTE</strong>: It should be noted that although the RRD Proxy is in production at large commercial sites, it continues to not support replication. The author claims that it's 95% complete, but to date, has not completed the last 5%.</p>
</blockquote>
<p><img src="images/settings-data-proxy.png" alt="Data Storage Proxy" /></p>
<p>The settings above include:</p>
<ul>
<li><p><strong>Proxy Server</strong> - The IP or DNS name of the primary RRDfile proxy server.</p></li>
<li><p><strong>Proxy Port Number</strong> - The port number to connect to in order to communicate with the RRD Proxy.</p></li>
<li><p><strong>RSA Fingerprint</strong> - The fingerprint of the current public RSA key the proxy is using. This is required to establish a trusted connection to the RRD Proxy service.</p></li>
</ul>
<blockquote>
<p><strong>WARNING</strong>: None of the settings below are implemented.</p>
</blockquote>
<ul>
<li><p><strong>Load Balancing</strong> - Whether calls to the RRD Proxy should be load balanced.</p></li>
<li><p><strong>Proxy Server</strong> - The secondary Proxy server IP or DNS name.</p></li>
<li><p><strong>Proxy Port Numer</strong> - The port number on the secondary RRD Proxy to talk to.</p></li>
<li><p><strong>RSA Fingerprint</strong> - The fingerprint of the current public RSA key the proxy is using. This is required to establish a trusted connection to the RRD Proxy service.</p></li>
</ul>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
